
import pteidlib.*;
import pt.gov.cartaodecidadao.*;


public class GetAddress {

	static final byte PINID_AUTH = (byte)129;
    static final byte PINID_SIGN = (byte)130;
    static final byte PINID_ADDR = (byte)131;

    static
    {
        try
        {
            System.loadLibrary("pteidlibj");
        }
        catch (UnsatisfiedLinkError e)
        {
            System.err.println("Native code library failed to load.\n" + e);
            System.exit(1);
        }
    }
	
	public static void PrintAddressData(PTEID_ADDR adData)
    {
		if("N".equals(adData.addrType))
		{
			System.out.println("Address Type : National");
		    System.out.println("Street : " + adData.street);
		    System.out.println("Door no : " + adData.door);
		    System.out.println("Floor : " + adData.floor);
			System.out.println("Municipality : " + adData.municipalityDesc);
			System.out.println("District : " + adData.districtDesc);
			System.out.println("Postal Code : " + adData.cp4 + "-"+adData.cp3);
			System.out.println("...");
		}
		else
		{
			System.out.println("Address Type : International");
		    System.out.println("Address : " + adData.addressF);
			System.out.println("City : " + adData.cityF);
			System.out.println("...");
		}
    }

    public static void PrintIDData(PTEID_ID idData)
    {
	    System.out.println("DeliveryEntity : " + idData.deliveryEntity);
	    System.out.println("PAN : " + idData.cardNumberPAN);
	    System.out.println("...");
  	}

	public static void main(String args[]) throws Exception {

		//Thread.sleep(5000);

		try {
			pteid.Init("");

			PTEID_ADDR my_address = pteid.GetAddr();
			PrintAddressData(my_address);
		}
		catch (PteidException e) {
			System.err.println("SDK method threw exception! ");
			e.printStackTrace();
			pteid.Exit(0);
			return;
		}

		System.out.println("Test finished without exception thrown!");
		pteid.Exit(0);
	}
}